# $Id$
# Authority: shuff
# Upstream: Philippe Bruhat <book$cpan,org>

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name WWW-Mailman

Summary: Interact with Mailman's web interface from Perl
Name: perl-WWW-Mailman
Version: 1.04
Release: 1%{?dist}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/WWW-Mailman/

Packager: Steve Huff <shuff@vecna.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://search.cpan.org/CPAN/authors/id/B/BO/BOOK/WWW-Mailman-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(WWW::Mechanize) >= 1.52
BuildRequires: rpm-macros-rpmforge
Requires: perl
Requires: perl(WWW::Mechanize) >= 1.52

# don't scan the examples for autoreq/prov
%filter_requires_in %{_docdir}
%filter_provides_in %{_docdir}

### remove autoreq Perl dependencies
%filter_from_requires /^perl.*/d
%filter_setup

%description
WWW::Mailman is a module to control Mailman (as a subscriber, moderator or
administrator) without the need of a web browser.

The module handles authentication transparently and can take advantage of
stored cookies to speed it up.

It is meant as a building block for your own Mailman-managing scripts, and will
include more routines in the future.

%prep
%setup -n %{real_name}-%{version}

# fix problem with modules generated by older versions of Dist::Zilla
#%{?el5:%{__perl} -pi -e '/.*ExtUtils::MakeMaker.*6\.31.*/ && s/6\.3\d/6.30/' Makefile.PL}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install
#%{__rm} -rf %{buildroot}%{perl_archlib} %{buildroot}%{perl_vendorarch}

# fix for stupid strip issue
#%{__chmod} -R u+w %{buildroot}/*

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes META.yml README eg/
%doc %{_mandir}/man?/*
%{perl_vendorlib}/WWW/Mailman.pm
#%{perl_vendorlib}/WWW/Mailman/*
#%exclude %{perl_archlib}/perllocal.pod
%exclude %{perl_vendorarch}/auto/*/*/.packlist

%changelog
* Mon Aug 29 2011 Steve Huff <shuff@vecna.org> - 1.04-1
- Initial package.
